import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class RariFuseContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    rariFuseComptroller({ address, network }: ContractOpts): import("./ethers").RariFuseComptroller;
    rariFusePoolLens({ address, network }: ContractOpts): import("./ethers").RariFusePoolLens;
    rariFusePoolsDirectory({ address, network }: ContractOpts): import("./ethers").RariFusePoolsDirectory;
    rariFuseToken({ address, network }: ContractOpts): import("./ethers").RariFuseToken;
}
export type { RariFuseComptroller } from './ethers';
export type { RariFusePoolLens } from './ethers';
export type { RariFusePoolsDirectory } from './ethers';
export type { RariFuseToken } from './ethers';
